diff -Naur libofx-0.8.2/lib/context.hh libofx-0.8.2-mp/lib/context.hh
--- libofx-0.8.2/lib/context.hh	2007-11-13 02:33:43.000000000 +0100
+++ libofx-0.8.2-mp/lib/context.hh	2007-11-13 02:33:42.000000000 +0100
@@ -13,8 +13,9 @@
 
 #ifndef CONTEXT_H
 #define CONTEXT_H
-#include <string.h>
-#include <time.h>		// for time_t
+#include <string>
+#include <cstring>
+#include <ctime>		// for time_t
 #include "libofx.h"
 #include "ParserEventGeneratorKit.h"
 
diff -Naur libofx-0.8.2/lib/getopt.c libofx-0.8.2-mp/lib/getopt.c
--- libofx-0.8.2/lib/getopt.c	2007-11-13 02:33:43.000000000 +0100
+++ libofx-0.8.2-mp/lib/getopt.c	2007-11-13 02:33:42.000000000 +0100
@@ -39,7 +39,8 @@
 # endif
 #endif
 
-#include <stdio.h>
+#include <cstdio>
+#include <cstdlib>
 
 /* Comment out all this code if we are using the GNU C Library, and are not
    actually compiling the library itself.  This code is part of the GNU C
@@ -65,14 +66,14 @@
 #ifdef	__GNU_LIBRARY__
 /* Don't include stdlib.h for non-GNU C libraries because some of them
    contain conflicting prototypes for getopt.  */
-# include <stdlib.h>
+# include <cstdlib>
 # include <unistd.h>
 #endif	/* GNU C library.  */
 
 #ifdef VMS
 # include <unixlib.h>
 # if HAVE_STRING_H - 0
-#  include <string.h>
+#  include <cstring>
 # endif
 #endif
 
diff -Naur libofx-0.8.2/lib/ofx_container_transaction.cpp libofx-0.8.2-mp/lib/ofx_container_transaction.cpp
--- libofx-0.8.2/lib/ofx_container_transaction.cpp	2007-11-13 02:33:43.000000000 +0100
+++ libofx-0.8.2-mp/lib/ofx_container_transaction.cpp	2007-11-13 18:46:39.000000000 +0100
@@ -22,6 +22,7 @@
 #endif
 
 #include <string>
+#include <cstdlib>
 #include "messages.hh"
 #include "libofx.h"
 #include "ofx_containers.hh"
diff -Naur libofx-0.8.2/lib/ofx_request.cpp libofx-0.8.2-mp/lib/ofx_request.cpp
--- libofx-0.8.2/lib/ofx_request.cpp	2007-11-13 02:33:43.000000000 +0100
+++ libofx-0.8.2-mp/lib/ofx_request.cpp	2007-11-13 18:55:37.000000000 +0100
@@ -21,6 +21,7 @@
 #include <config.h>
 #endif
 
+#include <cstring>
 #include <string>
 #include "messages.hh"
 #include "libofx.h"
diff -Naur libofx-0.8.2/lib/ofx_request_accountinfo.cpp libofx-0.8.2-mp/lib/ofx_request_accountinfo.cpp
--- libofx-0.8.2/lib/ofx_request_accountinfo.cpp	2007-11-13 02:33:43.000000000 +0100
+++ libofx-0.8.2-mp/lib/ofx_request_accountinfo.cpp	2007-11-13 02:33:42.000000000 +0100
@@ -22,6 +22,7 @@
 #endif
 
 #include <string>
+#include <cstdlib>
 #include "libofx.h"
 #include "ofx_request_accountinfo.hh"
 
diff -Naur libofx-0.8.2/lib/ofx_request_statement.cpp libofx-0.8.2-mp/lib/ofx_request_statement.cpp
--- libofx-0.8.2/lib/ofx_request_statement.cpp	2007-11-13 02:33:43.000000000 +0100
+++ libofx-0.8.2-mp/lib/ofx_request_statement.cpp	2007-11-13 02:33:42.000000000 +0100
@@ -22,6 +22,8 @@
 #endif
 
 #include <string>
+#include <cstring>
+#include <cstdlib>
 #include "libofx.h"
 #include "ofx_utilities.hh"
 #include "ofx_request_statement.hh"
diff -Naur libofx-0.8.2/lib/ofx_utilities.cpp libofx-0.8.2-mp/lib/ofx_utilities.cpp
--- libofx-0.8.2/lib/ofx_utilities.cpp	2007-11-13 02:33:43.000000000 +0100
+++ libofx-0.8.2-mp/lib/ofx_utilities.cpp	2007-11-13 02:33:42.000000000 +0100
@@ -19,9 +19,11 @@
 #include <iostream>
 #include "ParserEventGeneratorKit.h"
 #include "SGMLApplication.h"
-#include <time.h>
+#include <ctime>
 #include <string>
-#include <locale.h>
+#include <cstring>
+#include <clocale>
+#include <cstdlib>
 #include "messages.hh"
 #include "ofx_utilities.hh"
 
diff -Naur libofx-0.8.2/lib/ofx_utilities.hh libofx-0.8.2-mp/lib/ofx_utilities.hh
--- libofx-0.8.2/lib/ofx_utilities.hh	2007-11-13 02:33:43.000000000 +0100
+++ libofx-0.8.2-mp/lib/ofx_utilities.hh	2007-11-13 02:33:42.000000000 +0100
@@ -17,8 +17,9 @@
  ***************************************************************************/
 #ifndef OFX_UTIL_H
 #define OFX_UTIL_H
-#include <string.h>
-#include <time.h>		// for time_t
+#include <string>
+#include <cstring>
+#include <ctime>		// for time_t
 #include "ParserEventGeneratorKit.h"
 using namespace std;
  /* This file contains various simple functions for type conversion & al */
diff -Naur libofx-0.8.2/ofxconnect/cmdline.c libofx-0.8.2-mp/ofxconnect/cmdline.c
--- libofx-0.8.2/ofxconnect/cmdline.c	2007-11-13 02:33:43.000000000 +0100
+++ libofx-0.8.2-mp/ofxconnect/cmdline.c	2007-11-13 02:33:42.000000000 +0100
@@ -9,9 +9,9 @@
 */
 
 
-#include <stdio.h>
-#include <stdlib.h>
-#include <string.h>
+#include <cstdio>
+#include <cstdlib>
+#include <cstring>
 
 /* If we use autoconf.  */
 #ifdef HAVE_CONFIG_H
diff -Naur libofx-0.8.2/ofxdump/ofxdump.cpp libofx-0.8.2-mp/ofxdump/ofxdump.cpp
--- libofx-0.8.2/ofxdump/ofxdump.cpp	2007-11-13 02:33:43.000000000 +0100
+++ libofx-0.8.2-mp/ofxdump/ofxdump.cpp	2007-11-13 19:13:30.000000000 +0100
@@ -30,8 +30,10 @@
 #include <iostream>
 #include <iomanip>
 #include <string>
+#include <cstdio>
+#include <cstdlib>
+#include <cstring>
 #include "libofx.h"
-#include <stdio.h>		/* for printf() */
 #include <config.h>		/* Include config constants, e.g., VERSION TF */
 #include <errno.h>
 
